import requests

class GiteaAPI:
	def __init__(self,base_url):
		self.base_url = base_url
	def __invoke_api(self,method,endpoint,data={}):
		if method=="get":
			return requests.get("{}/api/v1/{}".format(self.base_url,endpoint))
		elif method=="post":
			return requests.post("{}/api/v1/{}".format(self.base_url,endpoint),json=data)
	def get_organization_repos(self,org):
		return self.__invoke_api("get","orgs/{}/repos/".format(org))
	def get_repo_data(self,owner,repo):
		return self.__invoke_api("get","repos/{}/{}/".format(owner,repo))
	def get_issue_data(self,owner,repo,number):
		return self.__invoke_api("get","repos/{}/{}/issues/{}".format(owner,repo,number))
